source -encoding utf-8 wordreport.tcl

# тестовый срипт расположен в mql5/Scripts
# а MetaTrader работает на два каталога выше,
# эмулируем - сменим текущий каталог
cd ../..
# создаём объект отчёта
set reporter [ WordReport new ]
# задаём ему разные опции
$reporter Set header "просто тестовый отчёт"
$reporter Set text "не забудьте выключить утюг!"
$reporter Set screenshot "screenshot.png"

# добавляем сделки
$reporter AddOpen [ clock format [ clock seconds ] -format "%T" ] "Buy" 1.00 1 "" "" 
$reporter AddOpen [ clock format [ clock seconds ] -format "%T" ] "Buy" 2.00 1 "" "" 

# добавляем сделки
$reporter AddClose [ clock format [ clock seconds ] -format "%T" ] "BuyLimit" 4.00 1 "" "" 
$reporter AddClose [ clock format [ clock seconds ] -format "%T" ] "SellLimit" 5.00 1 "" "" 


# публикуем
$reporter Publish

# удаляем объект
$reporter destroy
# (опционально) и переменную тоже
unset reporter
